Issue1812

classification
Title: Comment after pass at same indentation crashes Jython
Type: behaviour Severity: major
Components: Jythonc compiler Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, glyphobet, zyasoft
Priority: normal Keywords:

Created on 2011-10-27.10:22:33 by glyphobet, last changed 2014-10-06.03:51:16 by zyasoft.

Files
File name Uploaded Description Edit Remove
jythonfun.py glyphobet, 2011-10-27.10:22:32 Sample code that illustrates this error
Messages
msg6685 (view) Author: Matt Chisholm (glyphobet) Date: 2011-10-27.10:22:32
The attached Jython code, with a comment following some code at the same indentation level and no newline at the end of the file, causes a SyntaxError:

  File "../jythonfun.py", line 4
    # comment
            ^
SyntaxError: required (...)+ loop did not match anything at character '<EOF>'


With a newline at the end of the file, it's fine. In CPython, it's fine with or without the trailing newline.
msg9106 (view) Author: Jim Baker (zyasoft) Date: 2014-10-06.03:51:16
No longer a syntax error in 2.7

Closing out
History
Date User Action Args
2014-10-06 03:51:16zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg9106
nosy: + zyasoft
versions: + Jython 2.7, - Jython 2.5
2013-02-25 19:27:26fwierzbickisetpriority: normal
assignee: fwierzbicki
versions: + Jython 2.5, - 2.5.2
nosy: + fwierzbicki
2011-10-27 10:22:33glyphobetcreate